<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/14/2008 *
 * ===============                              Last change: 09/14/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : purge-tsks.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Automatical purging of outdated mail links       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auto-Loeschung von veralteten Mail-Links         *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} // END - if

// Abort if autopurge is not active or disabled by admin
if ((!EXT_IS_ACTIVE("autopurge")) || ($_CONFIG['auto_purge_active'] == "N")) {
	// Abort here
	return false;
} // END - if

// Check version (must be > 0.0)
if ((GET_EXT_VERSION("task") > "0.0") && ($_CONFIG['ap_tasks'] == "Y")) {
	// Since when shall we purge?
	$since = bigintval($_CONFIG['ap_tasks_time']);

	// Purge deleted tasks (no notification to admin)
	$result = SQL_QUERY_ESC("DELETE LOW_PRIORITY
FROM "._MYSQL_PREFIX."_task_system
WHERE status='DELETED' AND task_created <= (UNIX_TIMESTAMP() - %s)",
	 array($since), __FILE__, __LINE__);
	$DELETED = SQL_AFFECTEDROWS();

	if (($DELETED > 0) && ($_CONFIG['ap_tasks_mail'] == "Y")) {
		// Send out email to admin
		SEND_ADMIN_NOTIFICATION(AUTOPURGE_ADMIN_TASKS_SUBJECT, "admin_autopurge_tsks", $DELETED, "");
	} // END - if
} // END - if

//
?>
